// Copyright 2013 SNCF. All rights reserved.
package com.sncf.checker.io;

/**
 * Data Access Object factory interface.
 *
 * @author YDS
 *
 */
public interface DAOFactory {
    /**
     * FillDAO factory.
     *
     * @return FillDAO
     */
    FillDAO getFillDAO();
    /**
     * MaintenanceFacilityDAO factory.
     *
     * @return MaintenanceFacilityDAO
     */
    MaintenanceFacilityDAO getMaintenanceFacilityDAO();
    /**
     * PlatformDAO factory.
     *
     * @return PlatformDAO
     */
    PlatformDAO getPlatformDAO();
    /**
     * ResourceDAO factory.
     *
     * @return ResourceDAO
     */
    ResourceDAO getResourceDAO();
    /**
     * SingleTrackDAO factory.
     *
     * @return SingleTrackDAO
     */
    SingleTrackDAO getSingleTrackDAO();
    /**
     * TrackGroupDAO factory.
     *
     * @return TrackGroupDAO
     */
    TrackGroupDAO getTrackGroupDAO();
    /**
     * TrainCategoryDAO factory.
     *
     * @return TrainCategoryDAO
     */
    TrainCategoryDAO getTrainCategoryDAO();
    /**
     * TrainDAO factory.
     *
     * @return TrainDAO
     */
    TrainDAO getTrainDAO();
    /**
     * YardDAO factory.
     *
     * @return YardDAO
     */
    YardDAO getYardDAO();
    /**
     * DepartureDAO factory.
     *
     * @return DepartureDAO
     */
    ArrivalDAO getArrivalDAO();
    DepartureDAO getDepartureDAO();
    ParametersDAO getParametersDAO();
    IndividualTrackDAO getIndividualTrackDAO();
    ImposedConsumptionDAO getImposedConsumptionDAO();
    ReuseDAO getReuseDAO();
}
