// Copyright 2013 SNCF. All rights reserved.
package com.sncf.checker.io;

import java.util.List;

import com.sncf.checker.bo.Fill;
import com.sncf.checker.common.ROADEFException;

/**
 * Data Access Object interface to Fill
 * A Fill object connects a train and an occupation with a beginning date.
 *
 * @author YDS
 *
 */
public interface FillDAO {

    List<Fill> loadAll() throws ROADEFException;

    /**
     * load a Fill list by train name.
     *
     * @param name train name
     * @return Fill list
     * @throws ROADEFException
     */
    List<Fill> loadByTrain(final String name) throws ROADEFException;

    /**
     * load a Fill list by occupation name.
     *
     * @param name occupation name
     * @return Fill list
     */
    List<Fill> loadByOccupation(final String name) throws ROADEFException;
}
