package com.sncf.checker.io;

import java.io.FileInputStream;
import java.io.IOException;
import java.util.zip.ZipEntry;
import java.util.zip.ZipInputStream;

public class FlatFileDAO {

    /**
     * @param zipFileName Name of zip file.
     * @param csvFileName Name of csv file expected in zip file.
     * @return An input stream on the csv file.
     * @throws IOException If the zip file does not contain the expected csv.
     */
    protected ZipInputStream getZipEntryInputStream(String zipFileName,
            String csvFileName) throws IOException {
        FileInputStream fis = new FileInputStream(zipFileName);
        ZipInputStream zis = new ZipInputStream(fis);
        ZipEntry zipEntry = zis.getNextEntry();
        while (zipEntry != null && !zipEntry.getName().equals(csvFileName)) {
            zipEntry = zis.getNextEntry();
            if (zipEntry == null) {
                break;
            }
        }
        if (zipEntry == null) {
            throw new IOException("Could not find " + csvFileName
                    + " in input zip file : " + zipFileName);
        }

        return zis;
    }


}
