// Copyright 2013 SNCF. All rights reserved.
package com.sncf.checker.io;

import java.util.List;

import com.sncf.checker.bo.Facility;

/**
 * Data Access Object interface to maintenance facility.
 *
 * @author YDS
 *
 */
public interface MaintenanceFacilityDAO {

    /**
     * Load a facility by name.
     *
     * @param name the searched facility name
     * @return facility, null if not found
     */
    Facility loadByName(final String name);

    /**
     * Load all facilities.
     *
     * @return facility list
     */
    List<Facility> loadAll();
}
