// Copyright 2013 SNCF. All rights reserved.
package com.sncf.checker.io;

import java.util.List;

import com.sncf.checker.bo.Platform;

/**
 * Data Access Object interface to platform.
 *
 * @author YDS
 *
 */
public interface PlatformDAO {

    /**
     * Load a platform by name.
     *
     * @param name the searched resource name
     * @return platform object, null if not found
     */
    Platform loadByName(final String name);

    /**
     * Load all platforms.
     *
     * @return platform list
     */
    List<Platform> loadAll();

    /**
     * Load all platforms compatible with a given duty.
     *
     * @param name the duty name
     * @return platform list
     */
    List<Platform> loadCompatible(final String name);
}
