// Copyright 2013 SNCF. All rights reserved.
package com.sncf.checker.io;

import java.util.List;

import com.sncf.checker.bo.SingleTrack;

/**
 * Data Access Object interface to single track.
 *
 * @author YDS
 *
 */
public interface SingleTrackDAO {

    /**
     * load a single track by name.
     *
     * @return single track, null if not found
     */
    SingleTrack loadByName(final String name);

    /**
     * Load all single tracks.
     *
     * @return single track list
     */
    List<SingleTrack> loadAll();
}
