// Copyright 2013 SNCF. All rights reserved.
package com.sncf.checker.io;

import java.util.List;

import com.sncf.checker.bo.Yard;

/**
 * Data Access Object interface to yard.
 *
 * @author YDS
 *
 */
public interface YardDAO {

    /**
     * Load a yard by name.
     *
     * @param name the searched yard name
     * @return yard object, null if not found
     */
    Yard loadByName(final String name);

    /**
     * Load all yards.
     *
     * @return yard list
     */
    List<Yard> loadAll();
}
